/**
 * The OspfConfig model module.
 * @module Ntnx/OspfConfig
 * @version 4.0.1
 * @class OspfConfig
 */
export default class OspfConfig {
    /**
     * Constructs a <code>OspfConfig</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:Ntnx/OspfConfig} obj Optional instance to populate.
     * @param callFromChild {Boolean} Flag to recognise calling instance
     * @return {module:Ntnx/OspfConfig} The populated <code>OspfConfig</code> instance.
     */
    static constructFromObject(data: any, obj?: any, callFromChild?: boolean): any;
    /**
    * Converts a given snake_case string to camelCase.
    * @param {string} snakeStr - The input string in snake_case format.
    * @returns {string} - The converted string in camelCase format.
    */
    static snakeToCamel(snakeStr: string): string;
    $objectType: string;
    /** @type {object<string, any>} */
    $reserved: object;
    /** @type {object<string, any>} */
    $unknownFields: object;
    /**
     * Returns OSPF area id of this gateway.
     * @return {string}
     */
    getAreaId(): string;
    /**
     * Sets OSPF area id of this gateway.
     * @param {string} areaId OSPF area id of this gateway.
     */
    setAreaId(areaId: string): void;
    areaId: string;
    /**
     * @return {AuthenticationType}
     */
    getAuthenticationType(): AuthenticationType;
    /**
     * @param {AuthenticationType} authenticationType
     */
    setAuthenticationType(authenticationType: AuthenticationType): void;
    authenticationType: string;
    /**
     * Returns Password for authentication.
     * @return {String}
     */
    getPassword(): string;
    /**
     * Sets Password for authentication.
     * @param {String} password Password for authentication.
     */
    setPassword(password: string): void;
    password: string;
    get$Reserved(): any;
    get$ObjectType(): string;
    get$UnknownFields(): any;
    toJson(forMutation: any): {
        $reserved: any;
        $objectType: string;
        $unknownFields: any;
        password?: string;
        authenticationType?: string;
        areaId?: string;
    };
    validate(scope: any, properties: any, ...args: any[]): Promise<any>;
    validateProperty(scope: any, property: any): ValidationError;
    #private;
}
import AuthenticationType from "./AuthenticationType";
import ValidationError from "../../../validation/ValidationError";
